000024713 - OpenSSH authentication to RSA ACE/Server fails in RSA Authentication Agent for PAM

Document created by RSA Customer Support Employee on Jun 16, 2016Last modified by RSA Customer Support Employee on Apr 21, 2017
Version 2Show Document
  • View in full screen mode

Article Content

Article Number000024713
Applies ToRSA Authentication Agent for PAM
Red Hat Linux 7.3
OpenSSH
Authentication with RSA Authentication Agent for PAM acetest utility is successful
IssueOpenSSH authentication to RSA ACE/Server fails in RSA Authentication Agent for PAM
Error: "Module Unknown" in RSA Authentication Agent for PAM
CauseSome libraries used by RSA Authentication Agent for PAM may not be installed correctly
ResolutionFirst, verify that the /etc/pam.d/sshd file is set up correctly. There should be one line that reads as follows:

auth     required     /lib/security/pam_securid.so

Verify that the path to pam_securid.so is correct and that the file exists. Then run the ldd command on pam_securid.so ('ldd /lib/security.pam_securid.so"). This will list all of the libraries the RSA Authentication Agent for PAM requires and whether or not they are on the system. With RSA Authentication Agent for PAM, 4 libraries should be listed - libpthread, libstdc++, libm, and libc. These libraries should be installed by default, but if ldd says that any of these files cannot be found, then RSA Authentication Agent for PAM will be unable to authenticate to the ACE/Server (in which case, these libraries would need to be reinstalled).
Legacy Article IDa22206

Attachments

    Outcomes